package com.hywa.banktest.common;

import java.util.List;
import java.util.Map;

public interface BaseMapper<T,PK> {
    int deleteByPrimaryKey(PK id);

    int insert(T record);

    int insertSelective(T record);

    T selectByPrimaryKey(PK id);

    int updateByPrimaryKeySelective(T record);

    int updateByPrimaryKey(T record);

    List<Map> selectByParentId(Long parentId);

    List<T> selectByName(String selfName);

}
