package com.hywa.banktest.dao;

import com.hywa.banktest.common.BaseMapper;
import com.hywa.banktest.entity.ClearingRecord;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface ClearingRecordMapper extends BaseMapper<ClearingRecord,String> {
    /**
     * 获取清款ftp上传文件名
     * @param checkTime
     * @return
     */
    List<String> getBankClearingFilesByTimed(@Param("checkTime") String checkTime);
}