package com.hywa.banktest.service;

import com.hywa.banktest.bankframework.pack.TransVo;
import com.hywa.banktest.common.BaseService;
import com.hywa.banktest.entity.ClearingRecordDetail;

import java.util.List;

/**
 * @author xiezt
 */
public interface ClearingRecordDetailService extends BaseService<ClearingRecordDetail,String> {


    /**
     * 通过清款记录id查询请款记录明细
     * @param recordId
     * @return
     */
    List<ClearingRecordDetail> getClearingRecordDetailByRid(String recordId);

    /**
     * 更新清款记录明细信息
     * @param detail
     * @return
     */
    int updateClearingRecordDetailInfoByRid(ClearingRecordDetail detail);

    /**
     * 批量更新清款订单明细信息
     * @param detailList
     * @return
     */
    int batchClearingRecordDetailInfo(List<TransVo> detailList);

}
