package com.hywa.banktest.service.impl;

import com.hywa.banktest.dao.PaymentLogMapper;
import com.hywa.banktest.entity.PaymentLog;
import com.hywa.banktest.service.PaymentLogService;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.List;
import java.util.Map;

@Service("paymentLogService")
public class PaymentLogServiceImpl implements PaymentLogService {

    @Resource
    private PaymentLogMapper paymentLogMapper;


    @Override
    public int deleteById(Integer id) {
        return paymentLogMapper.deleteByPrimaryKey(id);
    }

    @Override
    public int insertByModel(PaymentLog record) {
        return paymentLogMapper.insert(record);
    }

    @Override
    public int insertSelectiveModel(PaymentLog record) {
        return paymentLogMapper.insertSelective(record);
    }

    @Override
    public PaymentLog queryById(Integer id) {
        return paymentLogMapper.selectByPrimaryKey(id);
    }

    @Override
    public int updateByIdSelective(PaymentLog record) {
        return paymentLogMapper.updateByPrimaryKeySelective(record);
    }

    @Override
    public int updateById(PaymentLog record) {
        return paymentLogMapper.updateByPrimaryKey(record);
    }

    @Override
    public List<Map> queryListByParentId(Integer parentId) {
        //TODO empty implements
        return null;
    }

    @Override
    public List<PaymentLog> queryModelByName(String name) {
        //TODO empty implements
        return null;
    }
}
