package com.hywa.banktest.common;

import java.util.List;
import java.util.Map;

public interface BaseService<T,PK> {

    int deleteById(PK id);

    int insertByModel(T record);

    int insertSelectiveModel(T record);

    T queryById(PK id);

    int updateByIdSelective(T record);

    int updateById(T record);

    List<Map> queryListByParentId(PK parentId);

    List<T> queryModelByName(String name);

}
