package com.hywa.banktest.common;

/**
 * @ClassName ResponseEnum
 * @Description: TODO
 * @Author qb
 * @Date 2020/5/14
 * @Version V1.0
 * @ProjectName gzcarbon2.0
 **/
public enum ResponseEnum {
    SUCCESS(0,"请求成功"),
    FAIL(500,"系统错误"),
    REQNUMNULL(501,"请求值为空"),
    CHECKFAIL(502,"签名验证不通过"),
    NODATA(503,"没有对应的清分数据"),
    ERROREQUEST(504,"非法请求")
    ;

    private Integer code;
    private String msg;

    ResponseEnum(int code,String msg){
        this.code = code;
        this.msg =msg;

    }

    public int getCode() {
        return code;
    }

    public String getMsg() {
        return msg;
    }
}
