package com.hywa.banktest.dao;

import com.hywa.banktest.common.BaseMapper;
import com.hywa.banktest.entity.ClearingRecordDetail;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * @author xiezt
 */
public interface ClearingRecordDetailMapper extends BaseMapper<ClearingRecordDetail,String> {

    /**
     * 通过清款记录Id查询清款记录明细
     * @param fkId
     * @return
     */
    List<ClearingRecordDetail> getClearingRecordDetailFkId(@Param("id") String fkId);

    int updateClearingRecordCompanyId(@Param("clearId") String clearId,@Param("code") String code);

    /**
     * 更新清款记录明细信息
     * @param detail
     * @return
     */
    int updateClearingRecordDetailInfoByRid(ClearingRecordDetail detail);

    /**
     * 批量更新清款订单明细名单
     * @param detailList
     * @return
     */
    int batchUpdateCleearingRecordDetail(List<ClearingRecordDetail> detailList);

}