package com.hywa.banktest.dao;

import com.hywa.banktest.bankframework.pack.TransVo;
import com.hywa.banktest.common.BaseMapper;
import com.hywa.banktest.entity.OrderInfo;

import java.util.List;
import java.util.Map;

public interface OrderInfoMapper extends BaseMapper<OrderInfo,String> {

    int updateOrderStatusByFarmerId(Map params);

    /**
     * 查询可
     * @param map
     * @return
     */
    List<Map> queryTransFarmerOrderInfo(Map map);

    /**
     * 查询有订单记录农户信息，为验证测试打款使用
     * @return
     */
    List<Map> queryTransFarmerForTest();


    /**
     * 批量更新订单详情信息状态，通过清款明细ID
     * @param list
     * @return
     */
    int batchUpdateOrderInfo(List<TransVo> list);

    /**
     * 由于发送银行打款请求失败，批量更新订单详情信息
     * @param list
     * @return
     */
    int batchUpdateOrderInfoForFail(List<TransVo> list);

    int updateAllClearDetail(List<TransVo> list);

}