package com.hywa.banktest.service.impl;

import com.hywa.banktest.common.AjaxJson;
import com.hywa.banktest.common.OrderInfoClearingForm;
import com.hywa.banktest.common.ResponseEnum;
import com.hywa.banktest.dao.TreeOrdersMapper;
import com.hywa.banktest.entity.TreeOrder;
import com.hywa.banktest.service.OrderInfoService;
import com.hywa.banktest.service.TreeOrderService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

/**
 * @ClassName TreeOrderServiceImpl
 * @Description: TODO
 * @Author qb
 * @Date 2020/5/14
 * @Version V1.0
 * @ProjectName gzcarbon2.0
 **/
@Service
public class TreeOrderServiceImpl implements TreeOrderService {
    @Autowired
    private TreeOrdersMapper treeOrdersMapper;

    @Autowired
    private OrderInfoService orderInfoService;
    @Override
    public AjaxJson makeClearingData(OrderInfoClearingForm orderInfoClearingForm) {
        TreeOrder treeOrder = treeOrdersMapper.selectByPrimaryKey(orderInfoClearingForm.getOrderId());
        if (treeOrder == null || !"1".equals(treeOrder.getEnable())){
            return  new AjaxJson(ResponseEnum.NODATA);
        }
        int i = orderInfoService.dealClearingRecordByRid(orderInfoClearingForm.getRecordId(),null );
        return new AjaxJson(AjaxJson.SUCCESS ,AjaxJson.DEAL_CLEARING_APPLY_SUCCESS);
    }
}
