package com.hywa.banktest.service.impl;

import com.hywa.banktest.bankframework.utils.StringUtils;
import com.hywa.banktest.entity.PaymentRecord;
import com.hywa.banktest.service.PaymentRecordService;
import lombok.extern.slf4j.Slf4j;
import org.junit.After;
import org.junit.Assert;
import org.junit.Before;
import org.junit.Test;
import org.junit.runner.RunWith;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.test.context.SpringBootTest;
import org.springframework.test.context.junit4.SpringRunner;

import java.util.Date;
import java.util.UUID;

import static org.junit.Assert.*;

@Slf4j
@RunWith(SpringRunner.class)
@SpringBootTest
public class PaymentRecordServiceImplTest {

    @Autowired
    private PaymentRecordService paymentRecordService;

    private PaymentRecord record;

    @Before
    public void setUp() throws Exception {
        record = new PaymentRecord();
        record.setPaymentStatus(1);
        record.setPaymentMsg("测试插入信息");
        record.setTargetFarmerId("549cae97cdbd4a5ba4f4015cc217f2cc");
        record.setTargetFarmerName("测试农户姓名");
        record.setTargetFarmerCardId("98976545363526532321");
        record.setPaymentTime(new Date());
    }
    @After
    public void tearDown() throws Exception{

    }

    @Test
    public void insertSelectiveModel() {
        int i = paymentRecordService.insertSelectiveModel(record);
        Assert.assertEquals(i,1);
    }

    @Test
    public void queryById() {
    }
}